#!/bin/sh

cd `dirname $0`

case `isainfo -k` in
amd64|sparcv9)
  ARG=64
  ;;
*)
  ;;
esac

for i in CPROrdfkx CPROrdfk CPROrdrosanx CPROrdrosan CPROrdnovax CPROrdnova CPROssfx CPROssf CPROrsax CPROrsa CPROrdrgemfkcx CPROrdrgemfkc CPROcurlx CPROcurl CPROCadesx CPROCades CPROOCSPutx CPROOCSPut CPROTSPutlx CPROTSPutl CPROp11x CPROp11 CPROstnlx CPROstnl CPROcpfkx CPROcpfk CPROcplx CPROcpl CPROdrvx CPROdrv CPROrdgx CPROrdg CPROkc1sox CPROkc1so CPROkc1x CPROkc1 CPROkc2sox CPROkc2so CPROkc2x CPROkc2 CPROrdpx CPROrdp CPROrdrx CPROrdr CPROcacerts CPROdrvd CPROcspd CPRObase ; do
  if test x$ARG = x64; then
    pkgs="$pkgs ${i}x"
  fi
  pkgs="$pkgs ${i}"
done

for i in $pkgs; do
  echo "Uninstalling $i..."
  if pkginfo -q $i; then pkgrm -na ./admin $i || exit $?; else true; fi
done
